package com.ssj.service.conch.parents.dto;

import java.io.Serializable;

public class SubjectTaskDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String subject;   //学科

    /**
     * 如果是今日任务   学科状态， 1暂未开始；2开始作业；3未布置作业；4批改中；5批改完成, 使用 startTime字段
     * 如果是历史任务   学科状态， 1未布置作业；2部分完成；3全部完成, 4无作业, 使用costTime字段
     */
    private int status = 1;       //状态

    private String startTime;    //开始时间
    private String homeworkTime;    //结束时间

    private int costTime;        //耗时，分钟

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getHomeworkTime() {
        return homeworkTime;
    }

    public void setHomeworkTime(String homeworkTime) {
        this.homeworkTime = homeworkTime;
    }

    public int getCostTime() {
        return costTime;
    }

    public void setCostTime(int costTime) {
        if (costTime > 0){
            this.costTime = costTime;
        }
    }
}
